import { Request, Response } from "./types";
import { Client, Plugin, PluginModules, PluginPackageManifest, PluginPackage } from "@web3api/core-js";
export declare class HttpPlugin extends Plugin {
    constructor();
    static manifest(): PluginPackageManifest;
    getModules(_client: Client): PluginModules;
    get(url: string, request: Request): Promise<Response>;
    post(url: string, request: Request): Promise<Response>;
}
export declare const httpPlugin: () => PluginPackage;
export declare const plugin: () => PluginPackage;
