"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.manifest = void 0;
exports.manifest = {
    // TODO: use the schema.graphql
    // https://github.com/web3-api/monorepo/issues/101
    schema: "\ntype Header {\n  key: String!\n  value: String!\n}\n\ntype UrlParam {\n  key: String!\n  value: String!\n}\n\ntype Response {\n  status: Int!\n  statusText: String!\n  headers: [Header!]\n  body: String\n}\n\ntype Request {\n  headers: [Header!]\n  urlParams: [UrlParam!]\n  responseType: String! # \"TEXT\" || \"BINARY\"\n  body: String\n}\n\n# Enum types curently not supported \n#\n# enum ResponseType {\n#   TEXT\n#   BINARY\n# }\n\ntype Query {\n  get(url: String!, request: Request): Response\n  post(url: String!, request: Request): Response\n}\n",
    implements: [],
};
//# sourceMappingURL=manifest.js.map